Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2307 - Unable to compile Jserv 1.0b3 with kaffe
Summary: Unable to compile Jserv 1.0b3 with kaffe
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kaffe
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-21 07:34 UTC by Jaroslaw Sosnicki
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-17 20:17:53 UTC


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 1999-04-21 07:34:47 UTC
When I tryed to compile Apache Jserv 1.0b3 I am getting
folowing errors:
Making all in java
make[2]: Entering directory
`/u00/apache/Apache-JServ-1.0b3/src/java'
/usr/bin/jar -0cvf Apache-JServ.jar
./org/apache/java/io/*.class ./org/apache/java/lang/*.class
./org/apache/java/net/*.class
./org/apache/java/security/*.class
./org/apache/java/util/*.class ./org/apache/jserv/*.class
java.lang.NoClassDefFoundError: sun/tools/jar/Main
	at java.lang.Throwable.<init>(Throwable.java:40)
	at java.lang.Error.<init>(Error.java:21)
	at java.lang.LinkageError.<init>(LinkageError.java:21)
	at
java.lang.NoClassDefFoundError.<init>(NoClassDefFoundError.java:21)
make[2]: Leaving directory
`/u00/apache/Apache-JServ-1.0b3/src/java'

Looks like something is missing...

Bug?

Comment 1 Bill Nottingham 1999-04-21 15:37:59 UTC
what version of kaffe?

Comment 2 Anonymous 1999-04-21 20:40:59 UTC
kafe-1.0.b4-2.i386.rpm

Comment 3 Bill Nottingham 1999-06-17 20:17:59 UTC
AFAICT, JServ requires a JDK based off of Sun JDK source
(either Sun's JDK, the Blackdown one, etc...)


Note You need to log in before you can comment on or make changes to this bug.